if(EXISTS "${FILE}")
	file(SIZE "${FILE}" FILE_SIZE)
    if(FILE_SIZE GREATER 0)
	    message(STATUS "Build-time check: ${FILE} exists and is not empty.")
    else()
	    message(FATAL_ERROR "Build-time check: ${FILE} exists but is empty!")
    endif()
else()
	message(FATAL_ERROR "Build-time check: ${FILE} does not exist!")
endif()

